AndWOL 1.7.3

Enthält eine Korrektur, die per Fehlerbericht gemeldet wurden. Da nutzte ich wohl Methoden aus einem API-Level > 8, was dann auf Froyo-Geräten auf einen Fehler lief.

Einen weiteren gemeldeten Fehler versuche ich durch erweitertes Logging sowie einen Hinweis zu entschärfen. Es gibt vereinzelt Fälle, in denen das Widget nach einem Update nicht mehr richtig läuft. Hier schafft dann entfernen und hinzufügen Abhilfe.

One bugfix for API-Level 8 (Froyo) devices – reminder for me: never use API-Methods with higher API-Level than Min-SKD-Level without checking if its available on current device 😉

Other changes: extended logging for a bug when updating widgets. I couldn’t reproduce this on my devices, so now there’s a message (plus extended logging) that there’s something wrong with the widget. Workaround: remove widget and re-add widget.

 

Leave a Reply